# Enum Class HB

java.lang.Object
java.lang.Enum<HB>
org.jmol.c.HB

All Implemented Interfaces:
  `Serializable, Comparable<HB>, Constable`

public enum HB extends Enum<HB>
Enum for hydrogen bonding donor/acceptor type

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ACCEPTOR`
`DONOR`
`NOT`
`UNKNOWN`

## Method Summary

Modifier and Type
Method
Description
`static HB`
`getType(Atom atom)`
`static boolean`
`isPossibleHBond(HB typeA, HB typeB)`
`static HB`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static HB[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NOT

public static final HB NOT

### ACCEPTOR

public static final HB ACCEPTOR

### DONOR

public static final HB DONOR

### UNKNOWN

public static final HB UNKNOWN

## Method Details

### values

public static HB[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static HB valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getType

public static HB getType(Atom atom)

### isPossibleHBond

public static boolean isPossibleHBond(HB typeA, HB typeB)